Bug 889698 - [abrt] policycoreutils-python-2.1.13-49.fc18: __init__.py:54:policy:ValueError: unsupported format character 'p' (0x70) at index 17
Summary: [abrt] policycoreutils-python-2.1.13-49.fc18: __init__.py:54:policy:ValueErro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:86b9204b70504bfb08c7987db21...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-22 17:52 UTC by costashu
Modified: 2013-02-05 03:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-05 03:03:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (611 bytes, text/plain)
2012-12-22 17:52 UTC, costashu
no flags Details
File: core_backtrace (298 bytes, text/plain)
2012-12-22 17:52 UTC, costashu
no flags Details
File: environ (3.08 KB, text/plain)
2012-12-22 17:52 UTC, costashu
no flags Details

Description costashu 2012-12-22 17:52:13 UTC
Description of problem:
I use command "sandbox" in Konsole.

Version-Release number of selected component:
policycoreutils-python-2.1.13-49.fc18

Additional info:
cmdline:        /usr/bin/python -Es /usr/bin/sandbox
executable:     /usr/bin/sandbox
kernel:         3.6.11-3.fc18.x86_64
uid:            1000

Truncated backtrace:
__init__.py:54:policy:ValueError: unsupported format character 'p' (0x70) at index 17

Traceback (most recent call last):
  File "/usr/bin/sandbox", line 29, in <module>
    import sepolicy
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 61, in <module>
    policy(policy_file)
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 54, in policy
    raise ValueError(_("Failed to read % policy file") % policy_file)
ValueError: unsupported format character 'p' (0x70) at index 17

Local variables in innermost frame:
policy_file: '/etc/selinux/targeted/policy/policy.27'

Comment 1 costashu 2012-12-22 17:52:17 UTC
Created attachment 667753 [details]
File: backtrace

Comment 2 costashu 2012-12-22 17:52:19 UTC
Created attachment 667754 [details]
File: core_backtrace

Comment 3 costashu 2012-12-22 17:52:22 UTC
Created attachment 667755 [details]
File: environ

Comment 4 Daniel Walsh 2012-12-27 17:07:39 UTC
Fixed in policycoreutils-2.1.13-50.fc19

Comment 5 Mark Wu 2013-01-18 06:58:44 UTC
Also hitting this bug when running vdsm. It will be also added to fedora18 repo, right?  Thanks!

Comment 6 Stephen Haffly 2013-01-20 13:30:05 UTC
1. updated system (Fedora 17)
2. installed FedUp
3. disabled SELinux
4. upgraded system with FedUp
5. executed "yum distribution-synchronization"
6. verified all updates installed with "yum update"
7. attempted to reenable SELinux with system-config-selinux
8. received error message
9. attempted to reinstall SELinux components by deleting and reinstalling.
10. Attempted to reenable SELinux with "system-config-selinux.
11. Failed again.


Package: policycoreutils-gui-2.1.13-49.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)

Comment 7 Fedora Update System 2013-01-21 19:43:44 UTC
policycoreutils-2.1.13-55.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.13-55.fc18

Comment 8 Fedora Update System 2013-01-23 01:27:22 UTC
Package policycoreutils-2.1.13-55.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-55.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1186/policycoreutils-2.1.13-55.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-02-05 03:03:25 UTC
policycoreutils-2.1.13-55.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.